#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Tar
Summary:	Archive::Tar - a module for Perl manipulation of .tar files
Summary(cs.UTF-8):	Archive::Tar - modul pro zpracování souborů .tar v Perlu
Summary(da.UTF-8):	Archive::Tar - et modul for Perlhåndtering af .tar-filer
Summary(de.UTF-8):	Archive::Tar - ein Modul für das Bearbeiten von .tar-Dateien durch Perl
Summary(es.UTF-8):	Archive::Tar - módulo para manipulaciones de Perl de los ficheros tar
Summary(fr.UTF-8):	Archive::Tar - module pour la manipulation Perl des fichiers .tar
Summary(it.UTF-8):	Archive::Tar - modulo per la gestione dei file .tar con Perl
Summary(ja.UTF-8):	Archive::Tar tarファイルのPerl操作の為のモジュールです。
Summary(ko.UTF-8):	Archive::Tar .tar 파일을 조작하는 Perl 모듈
Summary(pl.UTF-8):	Archive::Tar - moduł Perla do manipulacji plikami .tar
Summary(pt.UTF-8):	Archive::Tar - um módulo para a manipulação em Perl dos ficheiros .tar
Summary(pt_BR.UTF-8):	Archive::Tar - um módulo para a manipulação em Perl dos ficheiros .tar
Summary(sv.UTF-8):	Archive::Tar - en modul för Perlhantering av .tar-filer
Summary(tr.UTF-8):	Archive::Tar - .tar dosyaları için bir Perl modülü
Summary(zh_CN.UTF-8):	Archive::Tar 对 .tar 文件进行 Perl 操作的模块。
Summary(zh_TW.UTF-8):	Archive::Tar 用於 Perl 處理 .tar 檔案的一個模組。
Name:		perl-Archive-Tar
Version:	1.82
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/B/BI/BINGOS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	60493433f434811b2e610ab754529388
URL:		http://search.cpan.org/dist/Archive-Tar/
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-IO-Compress >= 2.015
BuildRequires:	perl-IO-Zlib >= 1.01
BuildRequires:	perl-Package-Constants
BuildRequires:	perl-Test-Harness >= 2.26
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-IO-Zlib >= 1.01
Requires:	perl-Text-Diff
Suggests:	perl-IO-Compress
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a module for the handling of tar archives. Archive::Tar
provides an object oriented mechanism for handling tar files. It
provides class methods for quick and easy file handling while also
allowing for the creation of tar file objects for custom manipulation.
If you have the Compress::Zlib module installed, Archive::Tar will
also support compressed or gzipped tar files.

%description -l cs.UTF-8
Toto je modul pro zpracování archivů tar. Archive::Tar poskytuje
objektově orientovaný mechanismus pro zpracování souborů tar.
Poskytuje metody třídy pro rychlé a snadné zpracování souboru a
umožňuje vytvoření objektů souborů tar pro vlastní zpracování. Máte-li
nainstalován modul Compress::Zlib, bude Archive::Tar také podporovat
soubory tar komprimované programem compress nebo gzip.

%description -l da.UTF-8
Dette er et modul for håndteringen af tar-arkiver. Archive::Tar
leverer en objektorienteret mekanisme til at håndtere tar-filer. Den
leverer klassemetoder for hurtig og nem filhåndtering samtidigt med at
den muliggør oprettelsen af tar-filobjekter for specialhåndtering.
Hvis du har modulet Compress::Zlib installeret, vil Archive::Tar også
understøtte komprimerede eller gzip'ede tar-filer.

%description -l de.UTF-8
Dieses Modul dient der Bearbeitung von tar-Archiven. Archive::Tar
bietet einen objektspezifischen Mechanismus für das Bearbeiten von
solchen Archiven sowie Klassenmethoden für das schnelle und einfache
Bearbeiten und ermöglicht gleichzeitig das Anlegen von
tar-Dateiobjekten für das benutzerdefinierte Bearbeiten. Wenn Sie
bereits das Modul Compress::Zlib installiert haben, unterstützt
Archive::Tar auch komprimierte oder gzipped tar-Dateien.

%description -l es.UTF-8
Este módulo gestiona los ficheros tar. Archive::Tar proporciona un
mecanismo orientado a un objeto para gestionar ficheros tar.
Proporciona métodos de clase para ficheros rápidos y sencillos
mientras que permite la creación de objetos de ficheros tar para la
manipulación personalizada. Si tiene instalado el módulo
Compress::Zlib, Archive::Tar soportará los ficheros tar comprimidos.

%description -l fr.UTF-8
Il s'agit d'un module de gestion des archives tar. Archive::Tar
fournit un mécanisme orienté sur l'objet pour la gestion des fichiers
tar. Il offre des méthodes de classe permettant de gérer rapidement et
facilement les fichiers tout en permettant de créer des objets de
fichiers tar pour une manipulation personnalisée. Si vous avez
installé le module Compress::Zlib, Archive::Tar rendra également en
charge les fichiers tar comprimés ou zippés.

%description -l it.UTF-8
Si tratta di un modulo per la gestione degli archivi tar. Archive::Tar
offre un meccanismo orientato agli oggetti per gestire i file tar.
Consente inoltre di gestire rapidamente e facilmente i file e di
creare gli oggetti dei file tar per la personalizzazione. Se il modulo
Compress::Zlib è installato, Archive::Tar supporterà anche i file tar
compressi o gzippati.

%description -l ko.UTF-8
이 모듈은 tar 아카이브 파일을 처리하는데 사용됩니다. Archive::Tar는
tar 파일 처리에 사용되는 객체 지향적 메커니즘을 제공합니다. 이 모듈은
빠르고 쉬운 파일 처리를 위한 클래스 방식을 제공할 뿐만 아니라 또한
사용자 설정 조작이 가능한 tar 파일 객체도 생성 가능합니다.
Compress::Zlib 모듈을 설치하셨다면, Archive::Tar는 압축 tar 파일이나
gzip 압축된 tar 파일도 지원합니다.

%description -l pl.UTF-8
Ten moduł obsługuje archiwa tar. Archive::Tar udostępnia zorientowany
obiektowo mechanizm obsługi plików tar. Udostępnia klasę zawierającą
metody umożliwiające łatwe posługiwanie sie plikami .tar, a także
tworzenie obiektów tar i manipulację nimi. Jeśli jest zainstalowany
moduł Compress::Zlib, Archive::Tar będzie obsługiwać również archiwa
tar spakowane dodatkowo programem compress lub gzip.

%description -l pt.UTF-8
Este é um módulo para o tratamento dos pacotes TAR. O Archive::Tar
oferece um mecanismo orientado por objectos para lidar com os
ficheiros TAR. Oferece os métodos das classes para o tratamento rápido
e simples dos ficheiros enquanto permite também a criação de objectos
de ficheiros TAR para a manipulação personalizada. Se tiver o módulo
Compress::Zlib instalado, o Archive::Tar irá também suportar os
ficheiros TAR 'gzippados' ou 'compress'ed.

%description -l pt_BR.UTF-8
Este é um módulo para o tratamento dos pacotes TAR. O Archive::Tar
oferece um mecanismo orientado por objectos para lidar com os
ficheiros TAR. Oferece os métodos das classes para o tratamento rápido
e simples dos ficheiros enquanto permite também a criação de objectos
de ficheiros TAR para a manipulação personalizada. Se tiver o módulo
Compress::Zlib instalado, o Archive::Tar irá também suportar os
ficheiros TAR 'gzippados' ou 'compress'ed.

%description -l sv.UTF-8
Detta är en modul för hanteringen av tar-arkiv. Archive::Tar
tillhandahåller en objektorienterad mekanism för att hantera
tar-filer. Den tillhandahåller klassmetoder för snabb och enkel
filhantering samtidigt som den möjliggör skapandet av tar-filobjekt
för specialhantering. Om du har modulen Compress::Zlib installerad,
kommer Archive::Tar också att stödja komprimerade eller gzip:ade
tar-filer.

%description -l zh_CN.UTF-8
这是用来处理 tar 归档的模块。Archive::Tar
提供了处理 tar 文件的面向对象的机制。它提供
了类别方法来快速简易地处理文件，它还允许为
定制的操作而创建 tar 文件对象。如果您安装了
Compress::Zlib 模块，Archive::Tar 还会支持压
缩的或用 gzip 处理的 tar 文件。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/ptar
%attr(755,root,root) %{_bindir}/ptardiff
%attr(755,root,root) %{_bindir}/ptargrep
%{perl_vendorlib}/Archive/Tar.pm
%{perl_vendorlib}/Archive/Tar
%{_mandir}/man1/ptar.1p*
%{_mandir}/man1/ptardiff.1p*
%{_mandir}/man1/ptargrep.1p*
%{_mandir}/man3/Archive::Tar*.3pm*
%changelog
* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> dcf2576
- up to 1.82

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> f9f1eab
- updated to 1.76

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> f6c5405
- updated to 1.54

* Sun Sep 06 2009 amateja <amateja@pld-linux.org> 69fc8f3
- updated to 1.52

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> f82a66a
- updated to 1.50

* Mon Dec 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 2376051
- sorted

* Sat Dec 13 2008 Maciej Pijanka <agaran@pld-linux.org> 50b16eb
- missing BR added

* Thu Dec 11 2008 Adam Gołębiowski <adamg@pld-linux.org> 88aea53
- updated to 1.40 (solves CVE-2007-4829)

* Mon Feb 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 73a34ae
- updated to 1.38

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 6a7eb5b
- up to 1.36

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 027e722
- up to 1.32, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7451149
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 42015c2
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 8bf32f2
- updated to 1.30

* Tue May 30 2006 radek <radek@pld-linux.org> 6505d90
- release 1

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> 3f250ee
- up to 1.29 rel 0.1 builds here

* Sun Jan 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 9ea265f
- added ptar/ptardiff man pages

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> c4b8e7b
- up to 1.28 rel 0.1

* Sun Dec 11 2005 Paweł Cyranek <pawel.cyranek@gmail.com> df6857b
- updated to 1.26
- added BR: perl-Test-Pod, R: perl-Text-Diff
- added CHANGES and ptardiff files

* Sat Aug 13 2005 radek <radek@pld-linux.org> beea4ba
- release 2: R: perl-IO-Zlib

